QGIS Application - Bug report #16322

make -j8 # error: @INCLUDE = /ust/src/qgis/build/master/qgsversion.inc: not found!

2017-03-08 08:47 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 24232
Description

Building in a lean dir with 8 parallel processes failed with this error for me:

error: @INCLUDE = /usr/src/qgis/build/master/qgsversion.inc: not found!

Subsequent invocation of make with no -j switch worked fine.

Sounds like an incomplete dependency file in CMake configuration files

This happened as of commit:5e6d540bbc4b90fb6cchb74c5847d22093050bec9

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-09-23 10:31 PM - Juirgen Fischer
- Resolution set to worksforme

- Status changed from Open to Closed

- Description updated
